£1,179.41– £1,440.99
Compare 3 prices
Zyxel · Network Switch
Zyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black price in United Kingdom
Model GS1915-8MPN GS1915-8-EU0101FMPN GS1915-8-GB0101FEAN 4718937621897EAN 4718937621903
- Weight620 g
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity8
Lowest price incl. delivery
£52.31
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £52.31 – £61.99
- Save up to £9.68 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £9.68 (16%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceZyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black In stockFree shipping£52.31incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeZyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black In stockFree shipping£61.99incl. free shipping+£9.68 (19%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukZyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black In stockShipping not stated£52.31item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black
- Full name
- Zyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black
- Manufacturer part number
- GS1915-8-EU0101F, GS1915-8-GB0101F
- EAN / UPC
- 4718937621897, 4718937621903
- Category
- Network Switch
61 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Gigabit Ethernet (copper) ports quantity | 8 |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Power connector | AC-in jack |
Network
| Networking standards | IEEE 802.1Q, IEEE 802.1p, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 1000BASE-T |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
| VLAN support | Yes |
| Number of VLANs | 8 |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 16 Gbit/s |
| Forwarding rate | 11.9 Mpps |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 0.525 MB |
Security
| IGMP snooping | Yes |
|---|---|
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
Multicast features
| Multicast support | Yes |
|---|
Protocols
| Management protocols | SNMP v1,v2,v3, RMON (1,2,3,9) |
|---|
Design
| Product colour | Black |
|---|---|
| LED indicators | Yes |
| Electromagnetic compatibility | LVD EN60950-1, BSMI CNS14336-1 |
Performance
| Mean time between failures (MTBF) | 1144461 h |
|---|
Power
| Power source | AC |
|---|---|
| AC input voltage | 220 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 4.7 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | 0 - 40 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 16.03 BTU/h |
Weight & dimensions
| Width | 250 mm |
|---|---|
| Depth | 104 mm |
| Height | 27 mm |
| Weight | 620 g |
Packaging content
| Cables included | AC |
|---|---|
| Quick start guide | Yes |
| Manual | Yes |
| User guide | Yes |
Packaging data
| Package width | 302 mm |
|---|---|
| Package depth | 227 mm |
| Package height | 64 mm |
| Package weight | 1.1 kg |
Certificates
| Certification | CE, FCC, C-Tick, Class A, Class B, BSMI CNS13438 |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






